#!/bin/bash
#
#This is the main driver for the GES pipeline
#
echo ----------   THE PIPELINE FOR THE GES IS NOW RUNNING   ----------

check=0
#Comment this following line if you want to skip it
if [ -x check.sh ]; then ./check.sh; check=$?; else echo -e "MAIN: Cannot perform file check...check.sh is missing or not executable.\nExiting the pipeline."; exit 1; fi

#DO NOT COMMENT the following 4 lines
if [ $check != 0 -o -z $check ]; then echo MAIN: Some files are missing or are not executable. Exiting the pipeline.; exit 1; fi
#Exporting working directory and script directory as global variables for the pipeline
export WORK_DIR=`grep -w WORK_DIR pipe.opt | cut -d= -f2`
export STUFF_DIR=`grep -w STUFF_DIR pipe.opt | cut -d= -f2`

#Now the main_pipe.sh will launch the following commands. If you want to run only some of them
#just comment the others.
start=`date`
./module1.sh; if [ $? != 0 ]; then echo MAIN: module 1 had some problems...exiting the pipeline.; exit 2; fi

./module2.sh; if [ $? != 0 ]; then echo MAIN: module 2 had some problems...exiting the pipeline.; exit 2; fi

./module3.sh; if [ $? != 0 ]; then echo MAIN: module 3 had some problems...exiting the pipeline.; exit 2; fi

./module4b.sh; if [ $? != 0 ]; then echo MAIN: module 4 had some problems...exiting the pipeline.; exit 2; fi
end=`date`
./iraftsk.sh;  if [ $? != 0 ]; then echo MAIN: module iraftsk had some problems...exiting the pipeline.; exit 2; fi
./wstat.sh;    if [ $? != 0 ]; then echo MAIN: module iraftsk had some problems...exiting the pipeline.; exit 2; fi
echo -e "start=${start}\nend=${end}" > log.time

echo ----------   THE PIPELINE FOR THE GES ENDED   ----------
