#!/usr/local/bin/cl -f
#
#This macro uses IRAF to compute DAOSPEC normalized spectrum
#called outf
#Then it creates two spectra:
#  - outuf -> is the normalized spectrum*(1+R%)
#  - outlf -> is the normalized spectrum*(1-R%)
#R% (resid in this script) is the average of the residuals 
#spectrum extracted from the file *.daospec
#At the end it creates the DAOSPEC fitted spectrum defined as
#observed/continuum-residuals

noao
onedspec
images
imutil

{
string spectrum
string contf
string outf
string outuf
string outlf
string outff
string resf
string rootname
string *input

real ord
real resid
real perc
 
input = "input.iraf"

while(fscan(input,spectrum,rootname,resid,ord) !=EOF) {
}

print("\nIRAF: using iraf script arith.cl")
print("IRAF: working on spectrum ",spectrum)
print("IRAF: creating normalized, fit, upper and lower spectra ...")

contf = rootname+"C.fits"	#defining continuum filename
resf  = rootname+"R.fits"	#defining residual fits filename
outf  = rootname+"N.fits"	#defining normalized spectrum filename
outuf = rootname+"NU.fits"	#defining normalized*(1+R%) spectrum filename
outlf = rootname+"NL.fits"	#defining normalized*(1-R%) spectrum filename
outff = rootname+"F.fits"	#defining fit spectrum filename

perc=resid/100

if ( ord<0 ){
  imarith(spectrum,"*",1+perc,outuf)
  imarith(spectrum,"*",1-perc,outlf)
  imarith(spectrum,"-",resf,outff)
}
else {
  imarith(spectrum,"/",contf,outf)
  imarith(outf,"*",1+perc,outuf)
  imarith(outf,"*",1-perc,outlf)
  imarith(outf,"-",resf,outff)  
}
print("IRAF: ...done!")
logout
}


  
