#!/bin/bash
#
#This module moves all the files created by the pipeline therefore:
#	main output files defined in pipe.opt
#	log files created by modules to track down DAOSPEC runs
#	fits files created by DAOSPEC (continuum and residuals fits)
#	output DAOSPEC files (*daospec)
#	fits files created by module5 (normalized and fit fits)
#	daospec files created by module5 (*M04.daospec)
#
#New file names must be defined!
#
#
echo SAVE: ----------   SAVE module is now running...   ----------
if [ ! -f pipe.opt ]; then echo SAVE: opt file pipe.opt does not exist.; exit 1; fi

infile=`grep -w inputf01 pipe.opt | cut -d= -f2`
out1=`grep -w output01 pipe.opt | cut -d= -f2`
out2=`grep -w output02 pipe.opt | cut -d= -f2`
out3=`grep -w output03 pipe.opt | cut -d= -f2`
out4=`grep -w output04 pipe.opt | cut -d= -f2`

for i in $infile $out1 $out2 $out3 $out4; do
  if [ -z $i ]; then
    echo SAVE: files not defined in pipe.opt
    exit 1
  fi
done

#REMOVING MAIN OUTPUT FILES
for i in $out1 $out2 $out3 $out4; do rm -fv $i; done

list=(`grep -v \# $infile | awk '{print $1}'`)
for fits in ${list[@]}; do
  path=`echo $fits | sed -e "s/\/[^\/]*$//"`
  file=`echo $fits | sed -e "s/.*\///"`
  rootname=`echo $file | cut -d. -f1`
  
#MOVING DAOSPEC LOG FILES
  mv -v ${path}/${rootname}_M01.log ${path}/${rootname}_M01_a.log
  mv -v ${path}/${rootname}_M02.log ${path}/${rootname}_M02_a.log
  mv -v ${path}/${rootname}_M03.log ${path}/${rootname}_M03_a.log 
#MOVING DAOSPEC FITS FILES
  mv -v ${path}/${rootname}C.fits ${path}/${rootname}C_a.fits
  mv -v ${path}/${rootname}R.fits ${path}/${rootname}R_a.fits	#Continuum and Residuals fits
#MOVING module5 FITS FILES
  mv -v ${path}/${rootname}N.fits ${path}/${rootname}N_a.fits
  mv -v ${path}/${rootname}F.fits ${path}/${rootname}F_a.fits	#Normalized and Fits fits
#MOVING *.daospec FILES
  mv -v ${path}/${rootname}.daospec ${path}/${rootname}_a.daospec
  
done
echo SAVE: ...OK
