#!/bin/bash
#This modules prepares the output for Gala.
echo TOGALA: Now converting files to Gala format
#Read names of files from output03
#Done 16/10/2012. Works with the GES linelist v3.
infile=`grep -w output03 pipe.opt | cut -d= -f2`
if [ -z $infile ]; then
  infile=output03.dat
fi
file_opt_m3=${WORK_DIR}/${infile}
if [ ! -f $file_opt_m3 ]; then
  echo TOGALA: I cannot find the output file of module 3 $file_opt_m3.
  echo TOGALA: Exiting the module.
  exit 1
fi

list=(`grep -v \# $file_opt_m3 | awk '{print $1}'`)

for fits in ${list[@]}; do

      rootname=`echo $fits | sed 's/.fits//g'`
      outdaos=${rootname}.daospec
      outfgala=${rootname}.in

      if [ -s $outdaos ]; then
        awk 'BEGIN{OFS="\t";} { if (NF>5 && NR>2) print $6, $3, $4, $7, $9, $10, $11, $12, $14, $15, $16}' $outdaos > $outfgala
      else
        echo TOGALA: I cannot find the DAOSPEC output $outdaos.
      fi
done
echo TOGALA: done.

exit 0
