#!/bin/bash
#
#It saves Wavelength, element and ionization stage, EW, and EW error
#
echo TOGES: Now condensing information for GES
#
#MODIFY HERE THE CODE
#
filelist=yourlist.txt	#SET THE NAME OF THE LIST FILE WHERE CNAME AND OBJECT INFORMATION ARE STORED FOR EACH SPECTRUM
			#COLUMNS IN THIS FILE ARE SUPPOSED TO BE SEPARATED BY BLANK CHARACTERS (SPACES OR TABS)
cnamecol=4		#SET THE COLUMN NUMBER OF THE CNAME KEYWORD (COLUMN NUMBERS START FROM 1 AND NOT FROM 0)
objcol=3		#SET THE COLUMN NUMBER OF THE OBJECT KEYWORD (COLUMN NUMBERS START FROM 1 AND NOT FROM 0)
#
#STOP TO MODIFY
#

#Read names of files from output03
#Done 14/07/2013. Works with the GES linelist v3.
infile=`grep -w output03 pipe.opt | cut -d= -f2`
version=`grep version pipe.opt | cut -d= -f2`	#DOOp version used for the header
table=${STUFF_DIR}/periodictable.csv	#periodic table
if [ -z $infile ]; then
  infile=output03.dat
fi
file_opt_m3=${WORK_DIR}/${infile}
if [ ! -f $file_opt_m3 ]; then
  echo TOGES: I cannot find the output file of module 3 $file_opt_m3
  echo TOGES: Exiting the module.
  exit 1
fi

list=(`grep -v \# $file_opt_m3 | awk '{print $1}'`)

for fits in ${list[@]}; do
  #define input and output file
  cname=CNAME
  object=OBJECT
  rootname=`echo $fits | sed 's/.fits//g'`
  rootname2=`echo $rootname | awk -F/ '{print $NF}'`
  outdaos=${rootname}.daospec
  outfM03=${rootname}.ges
  rm -f $outfM03 tempM03
  
  if [ -s $outdaos ]; then
    if [ -s $filelist ]; then
      #extracting information from the list file
       cname2=`grep $rootname2 $filelist | awk -v PIP="$cnamecol" '{print $PIP}'`; cname="$cname $cname2"
      object2=`grep $rootname2 $filelist | awk -v PIP="$objcol" '{print $PIP}'`; object="$object $object2"
    fi  
    #print header
    echo -e "#$cname\n#$object\n#CODE Daospec DOOp $version\n#\n#Wav. (A) Elem Ion EW(mA) eEw (mA)" >> $outfM03
    #extracting information from the DAOSPEC file
    ew=(`awk '{if(NR>2 && NF>5){print $3}}' $outdaos`)
    eew=(`awk '{if(NR>2 && NF>5){print $4}}' $outdaos`)
    wl=(`awk '{if(NR>2 && NF>5){print $6}}' $outdaos`)
    zeta=(`awk '{if(NR>2 && NF>5){print $8}}' $outdaos`)
    index=0
    for i in ${zeta[@]}; do
      #Matching the ionization code with the element name using the periodic table
      ion=`awk -v PIP="$i" -F, '{if($1==PIP){print $5}}' $table`
      printf "%8.3f %5s %7.2f %7.2f\n" "${wl[$index]}" "$ion" "${ew[$index]}" "${eew[index]}"  >> tempM03
      ((index++))
    done
    #sorting by element name and ionization stage
    sort -k2 -b tempM03 >> $outfM03
    rm -f tempM03
  else
    echo TOGES: I cannot find the DAOSPEC output $outdaos or file is empty.
  fi
done
echo TOGES: done.

exit 0
